New Security Updates for Ubuntu

Oct 28, 2008

Linux developers Canonical has released important security updates for the Ubuntu kernel, strongly recommending upgrades for releases 6.06 LTS, 7.10 and 8.04 LTS and corresponding versions of Kubuntu, Edubuntu and Xubuntu.

The updates became necessary after the discovery of numerous security flaws in the Linux kernel. The direct-10 subsystem fails to validate certain structures, tmpfs implementation is faulty and the NFSv4 does not correctly handle file ACLs. All of these bugs are capable of causing the system to crash or result in a Denial of Service.

A detailed list of bugs is published on the Ubuntu Security Notice USN-659-1. The bug fixes can be applied using the Synaptic, Aptitude and other package-management tools, with a reboot necessary to complete the process.

Additional information is aimed at Ubuntu 8.04 (Hardy Heron) users; with the update pocket disabled, the kernel upgrade will include an unavoidable ABI change and the kernel will be given a new version number. All third party kernel modules will have to be recompiled and reinstalled. Drivers from Ubuntu's own package "linux-restricted-modules" will be updated automatically.

Related content

comments powered by Disqus

Issue 19: Linux Shell Handbook 5th Ed./Special Editions

Buy this issue as a PDF

Digital Issue: Price $15.99
(incl. VAT)

News

njobs Europe
What:
Where:
Country:
Njobs Netherlands Njobs Deutschland Njobs United Kingdom Njobs Italia Njobs France Njobs Espana Njobs Poland
Njobs Austria Njobs Denmark Njobs Belgium Njobs Czech Republic Njobs Mexico Njobs India Njobs Colombia